[Qt-creator] Using C++11 in Creator's source

Peter K├╝mmel syntheticpp at gmx.net
Fri Mar 7 17:56:29 CET 2014


On 07.03.2014 11:54, Daniel Teske wrote:
> On Friday 07 Mar 2014 11:42:30 Tobias Hunger wrote:
>> On 04.03.2014 14:09, Daniel Teske wrote:
>>> Hi,
>>>
>>> since we have branched 3.1 from master, master no longer needs to support
>>> OS X 10.6. As such I propose, that we open up master for those C++11
>>> features that are supported by VS 2010, g++ 4.5 and clang 3.1.
>> That is the list that is used for Qt 5, but why can't we go for
>> something a bit newer?
> Because it makes no difference in which parts of C++11 we can use. VS 2010
> limits what we can use, g++ 4.5 and clang 3.1 are simply the first versions
> that more or less support a superset of VS 2010's support.

So, why is it necessary to support VC 2010?
MSVC is the most foreign compiler in QtCreator-land,
and it should not be the limiting factor.

Peter

>
> As I wrote in my initial mail, in practice I would expect no one to use those
> compilers any more.
>
>> I am no Windows user, maybe we can just bump the requirement to MSVC
>> 2012 there? That would be a huge step forward for our C++11 support!
> No, I think it's too early for that.
>
> daniel
> _______________________________________________
> Qt-creator mailing list
> Qt-creator at qt-project.org
> http://lists.qt-project.org/mailman/listinfo/qt-creator
>




More information about the Qt-creator mailing list